Package de.willuhn.jameica.hbci.io

# Class AbstractUmsatzTreeExporter

java.lang.Object
de.willuhn.jameica.hbci.io.AbstractUmsatzTreeExporter

All Implemented Interfaces:
  `Exporter`, `IO`

Direct Known Subclasses:
  `UmsatzTreeAccountingExporter`, `UmsatzTreeCompleteExporter`, `UmsatzTreeSummaryExporter`

public abstract class AbstractUmsatzTreeExporter extends Object implements Exporter
Abstrakte Basis-Klasse der PDF-Exporter fuer den Umsatz-Tree. BUGZILLA 1333

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final de.willuhn.util.I18N`
`i18n`

### Fields inherited from interface de.willuhn.jameica.hbci.io.Exporter

`SESSION`

## Constructor Summary

Constructors
Constructor
Description
`AbstractUmsatzTreeExporter()`

## Method Summary

Modifier and Type
Method
Description
`IOFormat[]`
`getIOFormats(Class objectType)`
Liefert eine Liste der von diesem unterstuetzten Datei-Formate.
`protected String`
`getSubTitle(UmsatzTree tree)`
Generiert ein Label mit dem Untertitel der Auswertung.
`boolean`
`suppportsExtension(String ext)`
Liefert true, wenn der Exporter die angegebene Extension unterstuetzt.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface de.willuhn.jameica.hbci.io.Exporter

`doExport`

### Methods inherited from interface de.willuhn.jameica.hbci.io.IO

`getName`

## Field Details

### i18n

protected static final de.willuhn.util.I18N i18n

## Constructor Details

### AbstractUmsatzTreeExporter

public AbstractUmsatzTreeExporter()

## Method Details

### getIOFormats

public IOFormat[] getIOFormats(Class objectType)
Description copied from interface: `IO`
Liefert eine Liste der von diesem unterstuetzten Datei-Formate.

Specified by:
  `getIOFormats` in interface `IO`
Parameters:
  `objectType` - Art der zu exportierenden/importierenden Objekte. Z.Bsb.: Umsatz.class oder SammellastBuchung.class. Abhaengig davon kann der Exporter/Importer eine unterschiedliche Liste von Dateiformaten liefern, die er zu dieser Objektart unterstuetzt.
Returns:
  Liste der Export-Formate.

### getSubTitle

protected String getSubTitle(UmsatzTree tree) throws RemoteException
Generiert ein Label mit dem Untertitel der Auswertung.

Parameters:
  `tree` - der zu exportierende Tree.
Returns:
  der Untertitel.
Throws:
  `RemoteException`

### suppportsExtension

public boolean suppportsExtension(String ext)
Description copied from interface: `Exporter`
Liefert true, wenn der Exporter die angegebene Extension unterstuetzt.

Hintergrund: Im Export-Dialog koennen verschiedene Optionen (wie etwa "Spalte Saldo ausblenden") angezeigt werden. Manche Export-Formate unterstuetzen diese Option jedoch gar nicht, sodass sie ignoriert werden wuerde. Aus dem Grund kann der Exporter selbst mitteilen, ob er die angegebene Option unterstuetzt. Unterstuetzt er sie nicht, wir die Option automatisch deaktiviert.

Specified by:
  `suppportsExtension` in interface `Exporter`
Parameters:
  `ext` - der Name der Extension.
Returns:
  true, wenn er die Extension unterstuetzt.